@import 'header';
@import 'footer';
@import 'list';

$site_width: 1440px;

@font-face {
    font-family: Lato;
    font-weight: 100;
    font-display: swap;
    src: url('fonts/Lato-Light.ttf');
}

@font-face {
    font-family: Lato;
    font-weight: 300;
    font-display: swap;
    src: url('fonts/Lato-Regular.ttf');
}

@font-face {
    font-family: Lato;
    font-weight: 700;
    font-display: swap;
    src: url('fonts/Lato-Bold.ttf');
}

body {
    margin: 0;
    font-family: 'Lato', sans-serif;
    font-weight: 100;
    font-size: 16px;
    background: #f9f9f9;
    color: #212121;
}

h1 {
    font-size: 2.1em;
}

h2 {
    font-size: 1.7em;
}

p {
    margin: 1em 0 1em;
    line-height: 1.3em;
}

a {
    color: inherit;
    text-decoration: inherit;
    transition: color 200ms;

    &:hover {
        color: #666;
        text-decoration: underline;
    }
}

input:not([type="checkbox"]):not([type="radio"]):not([type="submit"]),
textarea {
    width: 100% !important;
    max-width: unset !important;
    border-radius: 2px;
    border: 1px solid #ccc;
    box-sizing: border-box !important;
}

input[type="text"],
input[type="number"],
input[type="email"],
input[type="tel"],
textarea {
    padding: 7px 5px;
    font-size: inherit;
    font-family: inherit;
    margin: 5px 0;
}

.bold {
    font-weight: 700;
}

main {
    min-height: 43.4vh;
    display: flex;
    flex-flow: column nowrap;
    justify-content: flex-start;
    align-items: center;

    box-sizing: border-box;

    &>* {
        width: 100%;
        box-sizing: border-box;

        &:not(.fullwidth) {
            max-width: 1440px;
        }
    }
}

article {
    padding: 20px 40px 50px;

    header {
        margin-bottom: 40px;
    }

    h1 {
        margin-bottom: 10px;
    }
}

textarea#street-address {
    min-height: 2em;
}

textarea#comment {
    min-height: 100px;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type=number] {
    -moz-appearance: textfield;
}

.btn-submit-donation {
    width: 100%;
    padding: 20px 30px !important;
    font-size: inherit;
    border: 0;
    background: #24845e;
    margin-top: 20px;
    margin-bottom: 20px;
    border-radius: 2px;
    color: #fff;
    cursor: pointer;
}

button,
a.button {
    cursor: pointer;
    padding: 10px 25px;
    background: transparent;
    border: 1px solid #2b6e46;
    border-radius: 4px;
    font-weight: 300;

    transition: background 200ms, letter-spacing 200ms;

    &:hover {
        text-decoration: none;
        background: #ffffff33;
        letter-spacing: 0.5px;
    }
}

#donation-form-container {
    max-width: 500px;
    margin: 50px 0 0;
}

#projects {
    .wrapper {
        max-width: $site_width;
        margin: auto;
    }

    .grid {
        @media (max-width: 799px) {
            width: auto !important;
            display: flex;
            flex-flow: column nowrap;
            justify-content: flex-start;
            align-items: center;
        }
    }

    .project_wrapper {
        padding: 10px 20px 40px;
        border-top: 0px;
        border: 1px solid #ddd;
        background: #ffffff;
    }

    .project {
        width: 100%;
        max-width: 320px;
        margin-bottom: 20px;
        box-sizing: border-box;

        transition: opacity 200ms;

        @media (max-width: 1079px) {
            max-width: 400px;
        }

        @media (max-width: 879px) {
            width: 100%;
            max-width: 380px;
        }

        @media (max-width: 799px) {
            left: unset !important;
            width: 100%;
            max-width: 500px;
            padding: 0 20px;
        }
    }

    .thumbnail {
        width: 100%;
        overflow: hidden;
    }

    img {
        width: 100%;
        min-height: 240px;
        display: block;
        object-fit: cover;

        &.lazy {
            transition: filter 200ms;
        }

        &.lazy:not(.loaded) {
            filter: blur(10px);
        }
    }

    h4 {
        color: #2b6e46;
        font-size: 20px;
        margin: 15px 0 0;

        a:hover {
            text-decoration: none;
        }

        &+p {
            margin: 0;
            font-weight: 300;
        }
    }

    .bottom {
        width: 100%;
        display: flex;
        flex-flow: row wrap;
        justify-content: space-between;
        align-items: center;
        margin-top: 30px;
    }

    .goal {
        flex-grow: 1;
        font-size: 26px;
        color: #2b6e46;
        margin: 10px 20px 10px 0;
        font-weight: 500;
    }

    .give {
        flex-grow: 1;
        background: #2b6e46;
        width: 120px;
        padding: 10px;
        text-align: center;
        font-weight: 300;
        color: #ffffff;

        &:hover {
            text-decoration: none;
        }
    }

    .categories {
        font-size: 0.9em;
    }
}

.categories {

    h1,
    h2 {
        margin-bottom: 7px;
    }

    a {
        margin-bottom: 20px;
    }

    li {
        margin-bottom: 25px;
        font-size: 1.2em;
    }
}